package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.storage.api.entity.OutboundInfo;
import com.emergency.avenue.storage.api.entity.OutboundMaterialInfo;
import com.emergency.avenue.storage.api.entity.OutboundStatus;
import com.emergency.avenue.storage.api.request.OutboundInfoRequest;
import com.emergency.avenue.storage.api.response.OutbountInfoResponse;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface OutboundMaterialService extends IService<OutboundMaterialInfo> {

	R<Map<Object, Object>> listMap(Integer id);

	R saveOutboundStatus(OutboundStatus outboundStatus);

	R selectDistributeListByMaterials(OutboundInfoRequest outboundInfoRequest);

	R selectDistributeListByProvince(OutboundInfoRequest outboundInfoRequest);


	R selectDistributeListByWarehouse(OutboundInfoRequest outboundInfoRequest);

	R selectDistributeListByOutboundTime(OutboundInfoRequest outboundInfoRequest);

	void exportjzdywztjb(String fileName, String templateFile, List<OutbountInfoResponse> data, HttpServletResponse response);

	void exportjzdysftjb(String fileName, String templateFile, List<OutbountInfoResponse> data, HttpServletResponse response);

	void exportjzdccktjb(String fileName, String templateFile, List<OutbountInfoResponse> data, HttpServletResponse response);

	void exportjzdypctjb(String fileName, String templateFile, List<OutbountInfoResponse> data, HttpServletResponse response);

	void exportcjxxxf(String fileName, String templateFile, List<OutboundInfo> records, HttpServletResponse response);
}
